import { RuntimeNumberField } from '@oinone/kunlun-engine';
import { FormInputAbstractFieldWidget } from './FormInputAbstractFieldWidget';
export declare type NumberValue = string | number;
export declare class FormNumberAbstractFieldWidget<Value extends NumberValue | NumberValue[] = NumberValue | NumberValue[]> extends FormInputAbstractFieldWidget<Value, RuntimeNumberField> {
    protected get unit(): string | undefined;
    protected get showThousandth(): boolean;
    get hiddenStepHandle(): boolean | undefined;
    protected get size(): string | number | undefined;
    protected get precision(): number | null | undefined;
}
